OD(1)

BEZEICHNUNG
od - Dateien im Oktal- und anderen Formaten ausgeben

ÜBERSICHT
od [OPTION]... [DATEI]...
od [-abcdfilosx]... [DATEI] [[+]VERSATZ[.][b]]
od --traditional [OPTION]... [DATEI] [[+]VERSATZ[.][b] [+][MARKE][.][b]]

BESCHREIBUNG

Eine eindeutige Darstellung der DATEI, in der Voreinstellung oktale Byte, auf der Standardausgabe ausgeben. Bei mehr als einem Argument DATEI werden die Dateien in der angegebenen Reihenfolge verkettet, um die Eingabe zu bilden. Ohne DATEI oder wenn DATEI »-« ist, Standardeingabe lesen.

Wenn die erste und zweite Aufrufform beide zutreffen, wird das zweite Format angenommen, wenn der letzte Operand mit + oder (wenn es zwei Operanden gibt) einer Ziffer anfängt. Ein VERSATZ‐Operand bedeutet -j VERSATZ. MARKE ist die Pseudoadresse des ersten ausgegebenen Bytes; sie wird erhöht, während die Ausgabe fortschreitet. Bei VERSATZ und MARKE bedeutet ein »0x«‐ oder »0X«‐Präfix hexadezimal; Suffixe können ».« für oktal und »b« für die Multiplikation mit 512 sein.

Die obligatorischen Argumente für Optionen sind für deren Kurz- und Langform gleich.

-A, --address-radix=RADIX
    output format for file offsets; RADIX is one of [doxn], for Decimal, Octal, Hex or None

-j, --skip-bytes=ANZAHL
    Zuerst ANZAHL Eingabebyte übergehen

-N, --read-bytes=ANZAHL
    Ausgabe auf ANZAHL Eingabebyte begrenzen

-S ANZAHL, --strings[=ANZAHL]
    output strings of at least BYTES graphic chars; 3 is implied when BYTES is not specified

-t, --format=TYP
    Ausgabeformat(e) wählen

-v, --output-duplicates
    Nicht »*« benutzen, um unterdrückte Zeilen zu markieren

-w[ANZAHL], --width[=ANZAHL]
    output BYTES bytes per output line; 32 is implied when BYTES is not specified

--traditional
    Argumente in der dritten oben angegebenen Form akzeptieren

--help
    Diese Hilfe anzeigen und beenden

--version
    Versionsinformation anzeigen und beenden

  Traditionelle Formatspezifikationen können gemischt werden; sie werden gesammelt:

-a  Dasselbe wie -t a, benannte Zeichen auswählen, signifikantestes Bit ignorieren

-b  Dasselbe wie -t o1, oktale Byte auswählen

-c  same as -t c, select printable characters or backslash escapes

-d  Dasselbe wie -t u2, vorzeichenlose dezimale 2‐Byte‐Einheiten auswählen

-f  Dasselbe wie -t fF, Gleitkommazahlen auswählen

-i  Dasselbe wie -t dI, dezimale »int«s auswählen

-l  Dasselbe wie -t dL, dezimale »long«s auswählen

-o  Dasselbe wie -t o2, oktale 2‐Byte‐Einheiten auswählen

-s  Dasselbe wie -t d2, dezimale 2‐Byte‐Einheiten auswählen

-x  Dasselbe wie -t x2, hexadezimale 2‐Byte‐Einheiten auswählen

  TYP setzt sich zusammen aus einer oder mehrerer dieser Spezifikationen:

a   Benanntes Zeichen, signifikantestes Bit ignorieren

c   printable character or backslash escape

d[GRÖSSE]
    Dezimal mit Vorzeichen, GRÖSSE Byte pro Ganzzahl

f[GRÖSSE]
    Gleitkomma, GRÖSSE Byte pro Ganzzahl

o[GRÖSSE]
    Oktal, GRÖSSE Byte pro Ganzzahl

u[GRÖSSE]
    Dezimal ohne Vorzeichen, GRÖSSE Byte pro Ganzzahl

x[GRÖSSE]
    Hexadezimal, GRÖSSE Byte pro Ganzzahl

GRÖSSE ist eine Zahl. Wenn TYP einer aus [doux] ist, kann GRÖSSE auch »C« für sizeof(char), »S« für sizeof(short), »I« für sizeof(int) oder »L« für sizeof(long) sein. Wenn TYP »f« ist, kann GRÖSSE auch »F« für sizeof(float), »D« für sizeof(double) oder »L« für sizeof(long double) sein.

Durch das Anhängen des Suffix »z« an einen Typ werden druckbare Zeichen am Ende jeder Ausgabezeile angezeigt.

  ANZAHL ist hexadezimal mit dem Präfix 0x oder 0X und kann ein multiplizierendes Suffix enthalten:

b   512

kB  1000

k   1024

MB  1000*1000

M   1024*1024

und so weiter für G, T, P, E, Z, Y.

GNU coreutils online help: <http://www.gnu.org/software/coreutils/> Report od translation bugs to <http://translationproject.org/team/>

BEISPIELE

od -A x -t x1z -v
    Hexdump-Format-Ausgabe anzeigen

od -A o -t oS -w16
    Das Standardausgabeformat von od

AUTOR
Geschrieben von Jim Meyering.

COPYRIGHT
Copyright © 2013 Free Software Foundation, Inc. Lizenz GPLv3+: GNU GPL Version 3 oder neuer <http://gnu.org/licenses/gpl.html>.
Dies ist freie Software: Sie können sie verändern und weitergeben. Es gibt KEINE GARANTIE, soweit gesetzlich zulässig.

SIEHE AUCH
Die vollständige Dokumentation für od wird als Texinfo-Handbuch gepflegt. Wenn die Programme info und od auf Ihrem Rechner ordnungsgemäß installiert sind, können Sie mit dem Befehl

    info coreutils 'od invocation'

auf das vollständige Handbuch zugreifen.

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Karl Eichwalder <ke@suse.de>, Lutz Behnke <lutz.behnke@gmx.de>, Michael Schmidt <michael@guug.de>, Michael Piefel <piefel@debian.org> und Tobias Quathamer <toddy@debian.org> erstellt. Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen. Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an <debian-l10n-german@lists.debian.org>.